Bug 845568 - Review Request: vim-command-t - An extremely fast, intuitive mechanism for opening files in VIM
Review Request: vim-command-t - An extremely fast, intuitive mechanism for op...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 09:13 EDT by Vít Ondruch
Modified: 2012-09-17 18:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 21:00:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkabrda: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2012-08-03 09:13:39 EDT
Spec URL: http://people.redhat.com/vondruch/vim-command-t.spec
SRPM URL: http://people.redhat.com/vondruch/vim-command-t-1.4-1.fc18.src.rpm
Description: 
The Command-T plug-in for VIM provides an extremely fast, intuitive mechanism
for opening files with a minimal number of keystrokes. It's named "Command-T"
because it is inspired by the "Go to File" window bound to Command-T
in TextMate.

Files are selected by typing characters that appear in their paths, and are
ordered by an algorithm which knows that characters that appear in certain
locations (for example, immediately after a path separator) should be given
more weight.

Fedora Account System Username: vondruch
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4354682
Comment 1 Bohuslav "Slavek" Kabrda 2012-08-21 02:49:39 EDT
I'll take this for a review.
Comment 2 Bohuslav "Slavek" Kabrda 2012-08-21 03:13:30 EDT
- You should include Requires: ruby-libs, as it contains directory where the ext.so file is stored. If we ever have ruby(abi) also provided by JRuby or Rubinius, the file might end up useless and in an unowned directory (AFAICS it only works with MRI Ruby anyway).

Otherwise, the package looks good, works ok and rpmlint is silent => APPROVED (please don't forget to add the Requires: as mentioned above).
Comment 3 Vít Ondruch 2012-08-21 03:42:59 EDT
Thank you for a review.

Regarding the ruby-libs, there is automatically added require for libruby.so.1.9, so I guess that the ruby-libs require is not needed.



New Package SCM Request
=======================
Package Name: vim-command-t
Short Description: An extremely fast, intuitive mechanism for opening files in VIM
Owners: vondruch
Branches: f17 f18
InitialCC:
Comment 4 Gwyn Ciesla 2012-08-21 07:01:23 EDT
Clearing flag.
Comment 5 Fedora Update System 2012-08-22 01:54:05 EDT
vim-command-t-1.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/vim-command-t-1.4-1.fc18
Comment 6 Fedora Update System 2012-08-22 02:01:54 EDT
vim-command-t-1.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vim-command-t-1.4-1.fc17
Comment 7 Fedora Update System 2012-08-22 16:58:20 EDT
vim-command-t-1.4-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-08-30 21:00:54 EDT
vim-command-t-1.4-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2012-09-17 18:16:37 EDT
vim-command-t-1.4-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.